<template>
  <div class="max-w-screen-lg mx-auto">
    <nav class="flex">
      <ul>
        <li v-for="(item, key) of routes" :key="key">
          <router-link :to="item.path" :exact="item.exact">{{
            item.title
          }}</router-link>
        </li>
      </ul>
    </nav>
    <AppBreadcrumb />
    <div class="flex">
      <LocaleChange
        class="appearance-none bg-white border border-gray-400 hover:border-gray-500 px-4 py-2 pr-8 rounded shadow leading-tight focus:outline-none focus:shadow-outline"
      />
    </div>
    <router-view />
  </div>
</template>

<script setup>
const routes = [
  {
    path: '/',
    title: 'Home',
    exact: true
  },
  {
    path: '/contact',
    title: 'Contact',
    exact: false
  },
  {
    path: '/about',
    title: 'About',
    exact: false
  },
  {
    path: 'blog',
    title: 'Blog',
    exact: false
  },
  {
    path: 'other',
    title: 'Other',
    exact: false
  },
  {
    path: 'chat',
    title: 'Chat',
    exact: false
  }
];
</script>

<style lang="scss" scoped>
@use '@/assets/style/components/card';
@use '@/assets/style/abstracts/mixins';

nav {
  @include mixins.flexCenter();
  ul {
    display: flex;
    list-style-type: none;
    justify-content: flex-start;
    li {
      padding: 20px;
      font-size: 18px;
      .router-link-exact-active {
        border-radius: 3px;
        padding: 3px 5px;
        background: royalblue;
        color: #fff;
      }
    }
  }
}
</style>
